html_vignette {rmarkdown} | R Documentation

## Convert to an HTML vignette

### Description

A HTML vignette is a lightweight alternative to `html_document` suitable for inclusion in packages to be released to CRAN. It reduces the size of a basic vignette from 100k to around 10k.

### Usage

    html_vignette(fig_width = 3, fig_height = 3, dev = "png",
      df_print = "default", css = NULL, keep_md = FALSE,
      readme = FALSE, ...)

### Arguments

`fig_width` | Default width (in inches) for figures
`fig_height` | Default height (in inches) for figures
`dev` | Graphics device to use for figure output (defaults to png)

`df_print`

Method to be used for printing data frames. Valid values include "default", "kable", "tibble", and "paged". The "default" method uses `print.data.frame`. The "kable" method uses the `knitr::kable` function. The "tibble" method uses the tibble package to print a summary of the data frame. The "paged" method creates a paginated HTML table (note that this method is only valid for formats that produce HTML). In addition to the named methods you can also pass an arbitrary function to be used for printing data frames. You can disable the df_print behavior entirely by setting the option `rmarkdown.df_print` to `FALSE`.

`css` | One or more css files to include
`keep_md` | Keep the markdown file generated by knitting.
`readme` | Use this vignette as the package README.md file (i.e. render it as README.md to the package root). Note that if there are image files within your vignette you should be sure to add README_files to .Rbuildignore
`...` | Additional arguments passed to `html_document`. Please note that `theme`, `fig_retina` and `highlight` are hard coded. Setting any of those will yield an error.

### Details

Compared to `html_document`, it:

- never uses retina figures

- never uses a theme

- has a smaller default figure size

- uses a custom css stylesheet

- uses a custom highlight scheme

See the online documentation for additional details on using the `html_vignette` format.

### Value

R Markdown output format to pass to `render`

[Package rmarkdown version 1.12 Index]